----------------------------------------------------------------------------------------------------
-- DotFocus
-- Author: Snowcloud (Micâh - Antonidas)
-- Codebase by: Meranannon (Insane - Vol'jin)
----------------------------------------------------------------------------------------------------

local DF = DOF_namespace
local _

function DF:range_isInRange()

	local target = "target"
	local player = "player"
	local spellName
  local spellString = ""
  local rangeResult = 0
	
	if not UnitExists(target) or not UnitIsVisible(target) or UnitIsDead(target) or (UnitReaction(target, player)==4)then
		return 0
	end

  if UnitIsFriend(player, target) then
    spellString = DOF_config.range.range1
  else
    spellString = DOF_config.range.range2
  end
  
  local spells = DF:explode ( ";", spellString )
  local nbIds = getn(spells)

  for i = 1,nbIds do
		spellName=GetSpellInfo(spells[i])	
    if not spellName then return 0 end

    rangeResult=IsSpellInRange(spellName, target)
  	if rangeResult==1 then return 1 end -- in range
   	if rangeResult==0 then return 2 end -- out of range
  end
     	
	return 0
end

